﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        //const string MAGÁNHANGZÓK = "aáeéiíoóöőuúüű";// C#-ban ez is működik az UTF kódolás miatt
        const string MAGÁNHANGZÓK = "aeiouAEIOU";  // Kódolási problémák miatt kihagyjuk az ékezetes karaktereket

        static void Beolvasás(out int N, out string X)
        {
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Írd be a szöveget, lehetőleg ékezet nélkül! ");
            X = Console.ReadLine();
            N = X.Length;//Szöveg karaktereinek száma
        }


        static bool Magánhangzó(char betű)
        {
            int i = 0;//eldöntés tétele
            while (i < MAGÁNHANGZÓK.Length && MAGÁNHANGZÓK[i] != betű)
            {
                i++;
            }
            return (i < MAGÁNHANGZÓK.Length);
        }

        static void Másolás(int N, string X, out string Y)
        {
            Y = "";//Üres string
            for (int i = 0;i<N;i++)
            {
                if (Magánhangzó(X[i]))
                {
                    Y = Y + 'e';//Hozzáadjuk Y-hoz az e betűt
                }
                else
                {
                    Y = Y + X[i];//Hozzáadjuk Y-hoz az X i. betűjét
                }
            }
        }

        static void Kiírás(string Y)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("Az átírt szöveg ");
            Console.WriteLine(Y);//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
        }

        static void Main(string[] args)
        {
            //F2. Egy szöveg minden magánhangzóját cseréljük ki az e betűre
            //A tömb (szöveg) karakterszámának deklarálása
            int N;
            //A szöveg deklarálása
            string X;
            //Kimeneti adatok deklarálása
            string Y;
            //Beolvasás
            Beolvasás(out N, out X);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Másolás(N,X,out Y);
            //Kiírás
            Kiírás(Y);
        }
    }
}
